Get call pricing
curl --request GET \
--url https://api.omnia-voice.com/api/v1/pricing/calls/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/pricing/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/pricing/calls/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"callId": "call_abc123",
"duration": {
"ms": 330000,
"seconds": 330,
"minutes": 5.5,
"billedMinutes": 6
},
"cost": {
"cents": 30,
"dollars": 0.3,
"estimated": false
},
"rate": {
"pricePerMinuteCents": 5,
"pricePerMinute": 0.05,
"currency": "USD"
},
"billedAt": "2024-01-15T10:30:00Z",
"status": "ended"
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}Pricing
Get call pricing
Get pricing/billing information for a specific call.
Requires API key authentication. Only returns pricing for calls owned by the authenticated user.
GET
/
pricing
/
calls
/
{id}
Get call pricing
curl --request GET \
--url https://api.omnia-voice.com/api/v1/pricing/calls/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/pricing/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/pricing/calls/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"callId": "call_abc123",
"duration": {
"ms": 330000,
"seconds": 330,
"minutes": 5.5,
"billedMinutes": 6
},
"cost": {
"cents": 30,
"dollars": 0.3,
"estimated": false
},
"rate": {
"pricePerMinuteCents": 5,
"pricePerMinute": 0.05,
"currency": "USD"
},
"billedAt": "2024-01-15T10:30:00Z",
"status": "ended"
}{
"error": "Invalid request body",
"details": {
"formErrors": [
"<string>"
],
"fieldErrors": {
"baseUrlPattern": [
"Internal URLs are not allowed"
]
}
}
}Authorizations
API key for authentication
Path Parameters
Call ID
Response
Call pricing information